/*
* sharkgulf motor
* all modules init is here
*/
#include "bsp/bsp_driver.h"
#include "app/app.h"
#include "version.h"

#ifdef CONFIG_CAN_IAP
const uint8_t iap_board_name[] __attribute__((at(0x8002800))) = CONFIG_BOARD_NAME;
const uint8_t soft_version[] __attribute__((at(0x8002A00))) = CONFIG_VERSION;
const uint8_t iap_volume[] __attribute__((at(0x8002C00))) = "App";
#endif

int main(void){
	bsp_init();
	app_start();
	return 0;
}
